package tysc

import (
	"gitlab.thpeetz.de/kontor/kontor-go/pkg/auth"

	"github.com/gin-gonic/gin"
)

// GetRoutes returns all routes for TYSC related data.
func GetRoutes(router *gin.Engine) {
	tyscRoutes := router.Group("/tysc")
	tyscRoutes.GET("/", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/sport", auth.EnsureLoggedIn(), showSportList)
	tyscRoutes.GET("/position", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/team", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/player", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/manufacturer", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/cardset", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/parallelset", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/insertset", auth.EnsureLoggedIn(), showIndexPage)
	tyscRoutes.GET("/card", auth.EnsureLoggedIn(), showIndexPage)
}
